local config = EventHorizon.config
local LongCDs = false -- Set to true to enable long cooldowns.


function EventHorizon:InitializeClass()

	self.config.gcdSpellID = 49895		-- Death Coil
 
	-- Icy Touch
	self:NewSpell({
		spellID = 55095,
		debuff = true,		--45477
		dot = 3,
	})
  
	-- Plague Strike
	self:NewSpell({
		spellID = 55078,	--45462
		debuff = true,		--55078
		dot = 3,
	})
  
	-- Death Coil . Unholy
	self:NewSpell({
		spellID = 49194,
		debuff = true,		-- 49194
--		dot = 1,			-- Uncomment this line to see the DoT ticks for Death Coil.
		requiredTalent = {3,14},
	}) 
  
	-- Ghoul Frenzy . Unholy
	self:NewSpell({
		spellID = 63560,
		cooldown = true,
		requiredTalent = {3,24},
	})

	-- Blade Barrier
	self:NewSpell({
		spellID = 49182,
		playerbuff = true,
		requiredTalent = {1,3},
	})
	
	-- Chains of Ice
	self:NewSpell({
		spellID = 45524,
		debuff = true,
	})

	
	if LongCDs then
		
		-- Mark of Blood . Blood
		self:NewSpell({
			spellID = 49005,
			debuff = true,
			cooldown = true,
			requiredTalent = {1,15},
		})
	  
		-- Hysteria . Blood
		self:NewSpell({
			spellID = 49016,
			playerbuff = true,
			cooldown = true,
			requiredTalent = {1,19},
		})  
	  
		-- Lichborne . Frost
		self:NewSpell({
			spellID = 49039,
			playerbuff = true,
			cooldown = true,
			requiredTalent = {2,8},
		})
	  
		-- Death Chill . Frost
		self:NewSpell({
			spellID = 49796,
			playerbuff = true,
			cooldown = true,
			requiredTalent = {2,15},
		})
	  
		-- Unbreakable Armour . Frost
		self:NewSpell({
			spellID = 51271,
			playerbuff = true,
			cooldown = true,
			requiredTalent = {2,24},
		}) 
	  
		-- Anti Magic Zone . Unholy
		self:NewSpell({
			spellID = 51052,
			cooldown = true,
			requiredTalent = {3,22},
		}) 
	  
		-- Vampiric Blood . Blood
		self:NewSpell({
			spellID = 55233,
			playerbuff = true,
			cooldown = true,
			requiredTalent = {1,23},
		})
	  
		-- Icebound Fortitude
		self:NewSpell({
			spellID = 48792,
			playerbuff = true,
			cooldown = true,
		})
	  
		-- Bone Shield
		self:NewSpell({
			spellID = 49222,
			playerbuff = true,
			cooldown = true,
			requiredTalent = {3,26}
		})
	  
		-- Hungering Cold . Frost
		self:NewSpell({
			spellID = 49203,
			playerbuff = true,
			cooldown = true,
			requiredTalent = {2,20},
		})
	  
	  -- Blood Tap
		self:NewSpell({
			spellID = 45529,
			playerbuff = true,
			cooldown = true,
		})
		
		-- Strangulate
		self:NewSpell({
			spellID = 47476,
			debuff = true,
			cooldown = true,
		})
		
		-- Anti Magic Shell
		self:NewSpell({
			spellID = 48707,
			playerbuff = true,
			cooldown = true,
		})
	end
                
	return true
end